package com.example.mystictale.Constants

import io.github.jan.supabase.auth.Auth
import io.github.jan.supabase.createSupabaseClient
import io.github.jan.supabase.postgrest.Postgrest
import io.github.jan.supabase.postgrest.PropertyConversionMethod
import io.github.jan.supabase.storage.Storage

object SupabaseConnect {
    val supabase = createSupabaseClient(
        supabaseUrl = "https://eykhnnlgofgxdzlixydt.supabase.co",
        supabaseKey = "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJzdXBhYmFzZSIsInJlZiI6ImV5a2hubmxnb2ZneGR6bGl4eWR0Iiwicm9sZSI6ImFub24iLCJpYXQiOjE3MjkyMzQ4NzgsImV4cCI6MjA0NDgxMDg3OH0.gG_nBmJ1KjC3se3HHNoBJLN8UA-aTw7JJw9PIMwJoL0"
    ) {
        install(Auth)
        install(Postgrest){
            propertyConversionMethod = PropertyConversionMethod.SERIAL_NAME
        }
        install(Storage)
    }
    val supabaseAdmin = createSupabaseClient(
        supabaseUrl = "https://eykhnnlgofgxdzlixydt.supabase.co",
        supabaseKey = "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJzdXBhYmFzZSIsInJlZiI6ImV5a2hubmxnb2ZneGR6bGl4eWR0Iiwicm9sZSI6InNlcnZpY2Vfcm9sZSIsImlhdCI6MTcyOTIzNDg3OCwiZXhwIjoyMDQ0ODEwODc4fQ.Y_4IElNlvVo59iYJ4Wa9AJyP0wT7z3ysB50vxzL9bQU"
    ) {
        install(Auth)
        install(Postgrest){
            propertyConversionMethod = PropertyConversionMethod.SERIAL_NAME
        }
        install(Storage)
    }
}